AC(1)

NAZWA
ac - wypisuje statystyki odnośnie czasu połączenia użytkowników

SKŁADNIA

ac  [ -d | --daily-totals ] [ -y | --print-year ]
    [ -p | --individual-totals ] [ people ]
    [ -f | --file filename ] [ -a | --all-days ]
    [ --complain ] [ --reboots ] [ --supplants ]
    [ --timewarps ] [ --compatibility ]
    [ --tw-leniency num ] [ --tw-suspicious num ]
    [ -z | --print-zeros ] [ --debug ]
    [ -V | --version ] [ -h | --help ]

OPIS

ac wypisuje czas połączenia (w godzinach) na podstawie zalogowań i wylogowań zapisanych w bieżącym pliku /var/log/wtmp. Całość połączeń jest także wypisywana.

/var/log/wtmp jest nadzorowany przez init(8) i login(1). Ani ac ani login nie tworzą /var/log/wtmp; Jeśli plik nie istnieje, dane nie są wypisywane. Aby zacząć prowadzić statystyki(?) , utwórz pusty plik.

UWAGA: Plik /var/log/wtmp może szybko stać się bardzo duży. Będziesz chciał go skracać za każdym razem.

GNU ac pracuje podobnie do u*x ac, czasem jest trochę sprytniejsze w pewnych zadaniach. Możesz się spodziewać różnic w wyniku działania GNU i ac ac i ac na innych systemach. Użyj komendy info accounting , aby dowiedzieć się więcej.

OPCJE

-d, --daily-totals
    Wypisuje całość połączeń dla każdego dnia, a nie całość dla całego pliku. Wynik działania wygląda tak:
            Jul 3 total 1.17
            Jul 4 total 2.10
            Jul 5 total 8.23
            Jul 6 total 2.10
            Jul 7 total 0.30

-p, --individual-totals
    Wypisuje czas połączeń dla każdego użytkownika, w przeciwieństwie do zwykłej zsumowanej wartości. Wygląda to tak:
            bob 8.06
            goff 0.60
            maley 7.37
            root 0.12
            total 16.15

people
    Wypisuje sumę czasu połączeń wszystkich użytkowników zawartych w people. people People jest listą użytkowników oddzielonych spacjami. Maski są niedozwolone.

-f, --file filename
    pliku Czyta z pliku filename zamiast z systemowego /var/log/wtmp

--complain
    Kiedy plik /var/log/wtmp znajduje błąd (brakujący rekord, lub cokolwiek), wypisuje odpowiedni błąd.

--reboots
    Rekordy zamknięcia systemu nie są zapisywane w czasie zamykania systemu, lecz gdy system ponownie startuje; dlatego, jest niemożliwe aby znać dokładny czas zamknięcia systemu. Użytkownicy mogli zostać zalogowani do systemu podczas zamknięcia systemu; wiele ac's automagicznie liczy czas pomiędzy rekordem zalogowania a zamknięcia systemu dla każdego użytkownika (nawet gdy nie powinien, na przykład gdy system jest wyłączony przez dłuższy czas). Jeśli chcesz wziąć pod uwagę ten czas, włącz tę flagę. *Dla kompatybilności z vanilla ac włącz tę flagę.

--supplants
    Czasami rekord wylogowania nie jest zapisywany dla danego terminala, dlatego czas ostatniego połączenia dla danego użytkownika nie może być obliczony. Jeśli chcesz wziąć pod uwagę ten czas od zalogowania danego użytkownika do następnego zalogowania na terminal (chociaż możliwe, że niewłaściwy) włącz tę flagę. *Dla kompatybilności z vanilla ac włącz tę flagę.

--timewarps
    Czasami wpisy w pliku @WTMP_FILE_LOC będą nagle przeskakiwały w tył, bez wpisu o zmianie zegara systemowego. Jeśli coś takiego wystąpi, niemożliwe jest przewidzenie jak długo użytkownik był zalogowany. Jeśli chcesz wziąć pod uwagę czas pomiędzy zalogowaniem użytkownika, a błędem czasowym włącz tę flagę. *Dla kompatybilności z vanilla ac włącz tę flagę.*

--compatibility
    To jest skrót dla wpisywania trzech powyższych opcji.

-a, --all-days
    Jeśli wypisujesz dzienne statystyki, wypisuj rekordy dla każdego dnia zamiast pomijać upływające dni, w których nie było zalogowań. Bez tej flagi, czas, który upłynął podczas tych upływających dni, jest wypisywany pod następnym dniem, w którym nie było zalogowań.

--tw-leniency num
    Ustawia tolerancję błędu czasowego na num sekund. Rekordy w pliku /var/log/wtmp mogą być lekko nie poukładane (często spotykałem, gdy dwa zalogowania występują w jednej sekundzie - drugie zalogowanie jest wpisywane pierwsze). Standardowo, wartość ta jest ustawiana na 60. Jeśli program napotka na problemy, czas nie jest dodawany dla użytkowników, chyba że użyta jest flaga --timewarps.

--tw-suspicious num
    Ustawia podejrzenie błędu czasowego na num sekund. Jeśli dwa rekordy w pliku /var/log/wtmp są oddalone od siebie dalej niż podana liczba sekund, masz problem z plikiem @WTMP_FILE_LOC (lub twoja maszyna nie była włączana od roku). Jeśli program napotka na ten problem, czas nie jest dodawany dla użytkowników, chyba że użyta jest flaga --timewarps.

-y, --print-year
    Wypisuje rok podczas wyświetlania daty.

-z, --print-zeros
    Jeśli całość dla dowolnej kategorii jest równa zero, wypisz ją. Standardowo pomija się wypisywanie.

--debug
    Wypisuj wewnętrzne informacje.

-V, --version
    Wypisuj numer wersji ac na standardowe wyjście i zakończ.

-h, --help
    Wypisuj sposób użycia ac na standardowe wyjście i zakończ.

PLIKI
/var/log/wtmp
    Systemowy plik z zapisanymi rekordami zalogowań. Zobacz wtmp(5), aby uzyskać więcej informacji.

AUTOR
Narzędzia statystyczne GNU zostały napisane przez Noel Cragg <noel@gnu.ai.mit.edu>. Strona podręcznika systemowego przerobiona ze strony texinfo o statystykach napisanej przez Susan Kleinmann <sgk@sgk.tiac.net>.

ZOBACZ TEŻ
login(1), wtmp(5), init(8), sa(8)